### Function

# GLib ByteArray remove_range

since: 2.4

#### Declaration [src]

    GByteArray*
    g_byte_array_remove_range (
      GByteArray* array,
      guint index_,
      guint length
    )

#### Description [src]

Removes the given number of bytes starting at the given index from a `GByteArray`. The following elements are moved to close the gap.

Available since: 2.4

#### Parameters

`array`

  Type: An array of `guint8`

  A byte array.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the first byte to remove.

`length`

  Type: `guint`

  The number of bytes to remove.

#### Return value

Type: An array of `guint8`

The `GByteArray`.

The data is owned by the called function.